:root{
    --white: #ffffff;
    --red: #f94144;
    --orange: #f3722c;
    --peach: #f9844a;
    --tangerine: #f8961e;
    --yellow: #f9c74f;
    --grass:  #90be6d;
    --green: #43aa8b;
    --sea: #4d908e;
    --grey: #577590;
    --blue: #277da1;
    --black:#000000;
} 


.container{
  display: none;
  background: #fff ;
  width: 410px;
  padding: 30px;
  box-shadow: 0 0 8px rgba(0,0,0,0.1);
}
#show-login:checked ~ .container{
    display: block;
    position: fixed;
    left: 40%;
    top: 20%;
    width:347px; 
    display: block;
    z-index:99999999;   
}

#show-signup:checked ~ .container{
  display: block;
  position: fixed;
  left: 40%;
  top: 20%;
  width:347px; 
  display: block;
  z-index:99999999;   
} 

#show-signuped:checked ~ .container{
  display: block;
  position: fixed;
  left: 40%;
  top: 20%;
  width:347px; 
  display: block;
  z-index:99999999;   
}

#show-forgot-password:checked ~ .container{
  display: block;
  position: fixed;
  left: 40%;
  top: 20%;
  width:347px; 
  display: block;
  z-index:99999999;   
}

.container .close-btn{
  position: absolute;
  right: 20px;
  top: 15px;
  font-size: 18px;
  cursor: pointer;
}
.container .close-btn:hover{
  color: var(--blue);
}
.container .text{
  font-size: 35px;
  font-weight: 600;
  text-align: center;
}
.container form{
  margin-top: -20px;
}
.container form .data{
  height: 45px;
  width: 100%;
  margin: 40px 0;
}
form .data label{
  font-size: 18px;
}
form .data input{
  height: 100%;
  width: 100%;
  padding-left: 10px;
  font-size: 17px;
  border: 1px solid silver;
}
form .data input:focus{
  border-color: var(--grey);
  border-bottom-width: 2px;
}
form .forgot-pass{
  margin-top: -8px;
}
form .forgot-pass{
  color: var(--black);
  text-decoration: none;
}

form .forgot-pass:hover{
  color: var(--blue);
  text-decoration: underline;
}

form .btn{
  margin: 30px 0;
  height: 45px;
  width: 100%;
  position: relative;
  overflow: hidden;
}
form .btn .inner{
  height: 100%;
  width: 300%;
  position: absolute;
  left: -100%;
  z-index: -1;
  background: -webkit-linear-gradient(right top, var(--red), var(--tangerine),var(--yellow), var(--green));
   transition: all 0.4s;
}
form .btn:hover .inner{
  left: 0;
}
form .btn button,form .btn label{
  height: 100%;
  width: 100%;
  background: none;
  border: none;
  color: #fff;
  font-size: 18px;
  font-weight: 500;
  text-transform: uppercase;
  letter-spacing: 1px;
  cursor: pointer;

  display: inline-block;
  text-align: center;
}


form .signup-link{
  text-align: center;
}
